using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BankContracts.BusinessLogicsContracts
{
    public interface ICreditProgramLogic
    {
        List<CreditProgramViewModel>? ReadList(CreditProgramSearchModel? model);
        CreditProgramViewModel? ReadElement(CreditProgramSearchModel model);
        bool Create(CreditProgramBindingModel model);
        bool Update(CreditProgramBindingModel model);
        bool Delete(CreditProgramBindingModel model);
    }
}
